Subject: Re: bug#26501: [PATCH 1/1] gnu: mutt: Update to 1.8.1.

From: Leo Famulari <[email-masked]>
Date: Mon, 17 Apr 2017 13:28:22 -0400

On Sun, Apr 16, 2017 at 11:57:25AM +0200, Ludovic Courtès wrote:
> Leo Famulari <[email-masked]> skribis:
> >>               (uri (string-append "ftp://ftp.mutt.org/pub/mutt/mutt-"
> >>                                   version ".tar.gz"))
> >
> > I found that Guix's FTP client is having trouble with this URL. It hangs
> > until it times out; other clients like wget and Firefox work fine.
> 
> I can’t reproduce this problem with Guix master (‘guix download’) and
> Guile 2.2 or 2.0.  Do you have more details?

Strace shows it hangs here:

[pid  4066] connect(13, {sa_family=AF_INET6, sin6_port=htons(60512), inet_pton(AF_INET6, "2600:3402:200:227::2", &sin6_addr), sin6_flowinfo=htonl(0), sin6_scope_id=0}, 28

When I disable IPv6, it works. I can use other FTP clients over IPv6 to
download this file.